# List teams

> A list of teams.

GET

/teams/

Returns a paginated list of all teams within the organization.

#### Helpful resources

-   [Create and manage teams](https://developer.rippling.com/documentation/rest-api/guides/teams)
-   [Teams overview](https://help.rippling.com/article?articleId=mCeobJ2B2DUCCJaFPwjHN)

### Required Scopes

-   teams.read
    

### Request

Query Parameters

**expand** string

**order\_by** string

**limit** integer required

**Possible values:** `>= 1` and `<= 100`

**Default value:** `50`

The maximum number of results to return. Defaults to 50. Maximum is 100.

**cursor** string

#### Expanding objects

Include one or more of these fields in the [expand parameter](https://developer.rippling.com/documentation/rest-api/essentials/query-parameters#sort-expand) to return nested data.

Fields:parent

#### Sorting results

Include one or more of these fields in the [sort parameter](https://developer.rippling.com/documentation/rest-api/essentials/query-parameters#sort-order_by) to control result order.

Fields:id, created\_at, updated\_at

## Responses

-   200

Successful response

-   application/json

-   Schema
-   Example (from schema)

**Schema**

**\_\_meta** object

A list of redacted fields.

**redacted\_fields** object\[\]

Array \[

**name** string

The name for the redacted field

**reason** string

The reason for the redaction

\]

**results** object\[\]

Array \[

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**parent\_id** string

The parent team

**parent** object

The parent team

**name** string required

The name of the team.

\]

**next\_link** string

A link to the next page of responses.

```json
{
  "__meta": {
    "redacted_fields": [
      {
        "name": "date_of_birth",
        "reason": "Insufficient entitlements"
      }
    ]
  },
  "results": [
    {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "parent_id": "string",
      "parent": {},
      "name": "string"
    }
  ],
  "next_link": "string"
}
```

Source: https://developer.rippling.com/documentation/rest-api/reference/list-teams

> For the complete documentation index, see [llms.txt](https://developer.rippling.com/llms.txt). Public pages have a Markdown version at the same URL with .md added.
